Show Menu
TOPICS×

Upgrading

Before starting the upgrading process, detemine and confirm which version of Adobe Campaign is to being upgraded to and consult the Release Notes .
We strongly recommend making a database backup on each instance before updating. For more information, refer to Backup . To perform an upgrade, make sur you have the ability and permissions to access instances and logs.
Also refer to the installation guide and the build upgrade getting started.

In Windows

To update Adobe Campaign in a new version when delivering a new build, the following procedure should be applied in Windows:
To find out how to update the client console, refer to this section .

Shut down services

In order to replace all files with the new version, you need to shut down all instances of the nlserver service.
  1. Shut down the following services:
    • Web services (IIS):
      iisreset /stop
    • Adobe Campaign service: net stop nlserver6
    You also need to make sure the redirection server (webmdl) is stopped, so that the nlsrvmod.dll file used by IIS can be replaced with the new version.
  2. Check that no tasks are active by running the nlserver pdump command. The following should come up:
    C:<installation path>Adobe Campaign v7bin>nlserver pdump
    HH:MM:SS > Application Server for Adobe Campaign Classic (7.X YY.R build XXX@SHA1) of DD/MM/YYYY
    No tasks
    
    
    You can use the Windows Task Manager to make sure all processes are stopped.

Upgrade the Adobe Campaign server application

To run the upgrade file, apply the following steps:
  1. Run setup.exe .
    To download this file, go to the Adobe Campaign Support page ( https://support.neolane.net/ ) via the Download Center link.
  2. Select the installation mode: choose Update or repair
  3. Click Next .
  4. Click Finish .
    The installation program then copies the new files.
  5. Once the operation is complete, click Finish .

Synchronize resources

Use the following command line:
nlserver config -postupgrade -allinstances
This will enable you to carry out the following operations:
  • Synchronize resources,
  • update schemas,
  • update the database.
This operation should be performed only once, and only on an ( nlserver web ) application server.
Then check whether the synchronization has generated errors or warnings. For more on this, refer to Resolving upgrade conflicts .

Restart services

The services to be restarted are:
  • Web services (IIS):
    iisreset /start
  • Adobe Campaign service: net start nlserver6

In Linux

To update Adobe Campaign in a new version when a new build is delivered, the procedure for Linux is as follows:
To find out how to update the client console, refer to this section .
From build 8757, the third party library is no longer needed.

Obtain updated packages

Start by recovering both updated packages of Adobe Campaign: go to the Adobe Campaign Support page ( https://support.neolane.net/ ) via the Download Center link.
The file is nlserver6-v7-XXX.rpm

Perform an update

  • RPM based distribution (RedHat, SuSe)
    To install them, execute as root:
    $rpm -Uvh nlserver6-v7-XXXX.rpm
    
    
    where XXX is the version of the file.
    The rpm file has dependencies on packages that you can find on CentOS/Red Hat distributions. If you don't want to use some of these dependencies, you may have to use the "nodeps" option of rpm:
    rpm --nodeps -Uvh nlserver6-v7-XXXX-0.x86_64.rpm
    
    
  • DEB based distribution (Debian)
    To install them, execute as root:
    dpkg -i nlserver6-v7-XXXX-amd64_debX.deb
    
    
Full installation procedures are detailed in this section . Resources are synchronized automatically, however you need to make sure no errors occurred. For more on this, refer to Resolving upgrade conflicts .

Reboot the web server

You must shut down Apache for the new library to become applicable.
To do this, execute the following command:
/etc/init.d/apache stop

  • Your script might be called httpd instead of apache .
  • You MUST execute this command until you obtain the following reply: This operation is required in order for Apache to apply the new library.
Then restart Apache:
/etc/init.d/apache start

Resolving upgrade conflicts

During resource synchronization, the postupgrade command enables you to detect whether synchronization has generated errors or warnings.

View the synchronization result

There are two ways of viewing the synchronization result:
  • In the command-line interface, errors are materialized by a triple chevron >>> and synchronization is stopped automatically. Warnings are materialized by a double chevron >> and must be resolved once synchronization is complete. At the end of the postupgrade, a summary is displayed in the command prompt. It can look like this:
    2013-04-09 07:48:39.749Z 00002E7A 1 info log =========Summary of the update==========
    2013-04-09 07:48:39.749Z 00002E7A 1 info log <instance name> instance, 6 warning(s) and 0 error(s) during the update.
    2013-04-09 07:48:39.749Z 00002E7A 1 warning log The document with identifier 'mobileAppDeliveryFeedback' and type 'xtk:report' is in conflict with the new version.
    2013-04-09 07:48:39.749Z 00002E7A 1 warning log The document with identifier 'opensByUserAgent' and type 'xtk:report' is in conflict with the new version.
    2013-04-09 07:48:39.750Z 00002E7A 1 warning log The document with identifier 'deliveryValidation' and type 'nms:webApp' is in conflict with the new version.
    2013-04-09 07:48:39.750Z 00002E7A 1 warning log Document of identifier 'nms:includeView' and type 'xtk:srcSchema' updated in the database and found in the file system. You will have to merge the two versions manually.
    
    
    
    If the warning concerns a conflict of resources, user attention is required to resolve it.
  • The postupgrade_ <server version number>_<time of postupgrade> .log log file contains the synchronization result. It is available by default in the following directory: <installation directory>/var/<instance/postupgrade . Errors and warnings are indicated by the error and warning attributes.

Resolving conflicts

To resolve conflicts, apply the following process:
  1. In the Adobe Campaign tree, go to Administration > Configuration > Package management > Edit conflicts .
  2. Select the conflict you want to resolve in the list.
There are three ways to resolve a conflict:
  • Declare as resolved : requires user intervention beforehand.
  • Accept the new version : recommended if the resources provided with Adobe Campaign have not been changed by the user.
  • Keep the current version : means that the update is rejected.
    If you select this resolution mode, you may not benefit from corrections in the new version.
If you chose to resolve the conflict manually, proceed as follows:
  1. In the lower section of the window, search for the conflict string to locate the entities with conflicts. The entity installed with the new version contains the new argument, the entity that matches the previous version contains the cus argument.
  2. Delete the version you don't want to keep. Delete the conflict_argument string of the entity you are keeping.
  3. Go to the conflict you have resolved. Click the Actions icon and select Declare as resolved .
  4. Save your changes: the conflict is now resolved.

Best practices

An update failure may be linked to the database configuration. Make sure that the configurations carried out by the technical administrator and the database administrator are compatible.
For example, a unicode database must not only authorize storage of LATIN1 data, etc.

Warn the client consoles of the available update

In Windows

On the machine where the ( nlserver web ) Adobe Campaign application server is installed, download and copy the file
setup-client-6. XXXX .exe
in ** #**datakitnlengjsp
The next time client consoles are connected, a window will inform users about the availability of an update and offer them the possibility of downloading and installing it.
Make sure the IIS_XPG user has the appropriate read rights for this installation file and refer to the installation guide for more information.

In Linux

On the machine where the Adobe Campaign application server ( nlserver web ) is installed, retrieve the following package:
setup-client-6. XXXX .exe
and copy it, saving as /usr/local/neolane/nl6/datakit/nl/eng/jsp :
 cp setup-client-6.XXXX.exe /usr/local/neolane/nl6/datakit/nl/eng/jsp

The next time client consoles are connected, a window will inform users about the availability of an update and offer them the possibility of downloading and installing it.
Make sure the Apache user has the appropriate read rights for this installation file and refer to the installation guide for more information.